"/
"/ execute this script using the following command line:
"/
"/ stx -nobanner -I --quick --execute SelfTest.st
"/
Object infoPrinting:false.
ObjectMemory infoPrinting:false.
Processor activeProcess exceptionHandlerSet
    on:(Class updateChangeFileQuerySignal)
    do:[:ex | ex proceedWith:false ].

Stream compile:'<< text self nextPutAll:text'.
!

Stdout << 'Selftest Started '; cr.
!

Stdout <<'Loading sunit...'; cr.
Smalltalk loadPackage:'stx:goodies/sunit'.
!

Stdout <<'Loading regression tests...'; cr.
Smalltalk installAutoloadedClassesFromAbbrevFile:((Smalltalk projectDirectoryForPackage:'exept:regression') asFilename / 'abbrev.stc').
!

|result|

result := RegressionTests::IntegerTest runTests.
TestResultReporter report:result format:#xml_junit as:'IntegerTest.result.xml'.

"/Autoload allSubclassesDo:[:cls |
"/    cls package = 'exept:regression' ifTrue:[
"/        Stdout << cls name; cr.
"/        cls runTests.
"/    ].
"/].
!
